<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class AnimalComplaint extends Model
{
    use SoftDeletes;

    protected $primaryKey = 'ANC_Id';

    protected $fillable = [
        'Complaint_Date',
        'CTM_Id',
        'PR_Id',
        'Complaint_Type',
        'Description',
        'Area_Id',
        'Status'
    ];

    // Relations
    public function citizen()
    {
        return $this->belongsTo(CtznMaster::class, 'CTM_Id', 'CTM_Id');
    }

    public function pet()
    {
        return $this->belongsTo(PetRegistration::class, 'PR_Id', 'PR_Id');
    }
}
